Package org.apache.sysds.runtime.util

# Class RandNPair

java.lang.Object
org.apache.sysds.runtime.util.RandNPair

public class RandNPair extends Object
Class that generates a pair of random numbers from standard normal distribution N(0,1). Box-Muller method is used to compute random numbers from N(0,1) using two independent random numbers from U[0,1).

## Constructor Summary

Constructors
Constructor
Description
`RandNPair()`

## Method Summary

Modifier and Type
Method
Description
`void`
`compute(double U1, double U2)`
`void`
`compute(Random r)`
`double`
`getFirst()`
`double`
`getSecond()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RandNPair

public RandNPair()

## Method Details

### getFirst

public double getFirst()

### getSecond

public double getSecond()

### compute

public void compute(double U1, double U2)

### compute

public void compute(Random r)